## noris-nagios-mailplugins 4.1-0

=== debian/changelog ===
noris-nagios-mailplugins (4.1-0) etch; urgency=low

  * new version and changes according to lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 29 Jul 2009 13:41:25 +0200

noris-nagios-mailplugins (5.0-3) lenny; urgency=low

  * #10037674: Bugfix check_inject_email: Fehlererkennung war komplett defekt

 -- Martin H. Sluka <fany@noris.net>  Wed, 29 Jul 2009 09:57:54 +0200

noris-nagios-mailplugins (5.0-2) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 09:08:08 +0200

noris-nagios-mailplugins (5.0-1) stable; urgency=low

  * New version for lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 11:58:49 +0200

noris-nagios-mailplugins (4.0-35.1) stable; urgency=low

  * noris-nagios-mailplugins-3.1 z.T. entfernt (--cached)

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 03 Apr 2009 14:30:00 +0200

noris-nagios-mailplugins (4.0-35) stable; urgency=low

  * RBLClient.pm aktualisiert und erweitert; RT#486458

 -- Georg Gliniak <gliniak@noris.de>  Thu, 29 Jan 2009 16:18:40 +0100

noris-nagios-mailplugins (4.0-34) stable; urgency=low

  * RT#461761: check_inject_email: Bugfix -map-status für Timeouts

 -- Martin H. Sluka <fany@noris.net>  Tue, 30 Sep 2008 18:18:19 +0200

noris-nagios-mailplugins (4.0-33) stable; urgency=low

  * RT#269623: list.dsbl.org ist tot

 -- Martin H. Sluka <fany@noris.net>  Tue, 23 Sep 2008 19:10:54 +0200

noris-nagios-mailplugins (4.0-32) stable; urgency=low

  * Text in check_inject_email wegen 550er Errors von T-Online geändert.
    - RT#442222

 -- Georg Gliniak <gliniak@noris.de>  Mon, 14 Jul 2008 16:26:30 +0200

noris-nagios-mailplugins (4.0-31) stable; urgency=low

  * RT#436863: check_inject_email: new pseudo status 990 for "connection refused"
  * RT#436863: check_inject_email: support for abbreviations when mapping
    status codes

 -- Martin H. Sluka <fany@noris.net>  Thu, 26 Jun 2008 15:20:12 +0200

noris-nagios-mailplugins (4.0-30) stable; urgency=low

  * removed rbl-checks for blackholes.wirehub.net and dynablock.wirehub.net,
    RT#434776 

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue, 17 Jun 2008 16:33:41 +0200

noris-nagios-mailplugins (4.0-29) stable; urgency=low

  * RT#348009-54: Fixed generating of debug message by default:
    "illegal attempt to update using time * when last update time is *
    (minimum one second step)"

 -- Georg Gliniak <gliniak@noris.de>  Mon, 19 May 2008 10:30:05 +0200

noris-nagios-mailplugins (4.0-28) stable; urgency=low

  [ Hardy Kestin ]
  * Reverted Changes from 4.0-25, because check_maildelay was broken.
  * Fixed 4.0-27.

  [ Florian octo Forster ]
  * RT#348009: check_maildelay: Reverted Hardy's revert and ignore a specific
    error message.
  * RT#348009: check_smsgw: Ignore a specific error message.

 -- Florian octo Forster <octo@dev4.office.noris.de>  Mon, 19 May 2008 10:13:11 +0200

noris-nagios-mailplugins (4.0-27) stable; urgency=low

  * Changed From: in check_inject_reply. Replies must not be sent from
    postmaster.

 -- Hardy Kestin <hardy@noris.net>  Thu,  8 May 2008 11:43:56 +0200

noris-nagios-mailplugins (4.0-26) stable; urgency=low

  * add last change from git; RT#348009

 -- Georg Gliniak <gliniak@noris.de>  Tue, 22 Apr 2008 12:55:08 +0200

noris-nagios-mailplugins (4.0-25) stable; urgency=low

  * Changed --from in inject_email.cfg to 'postmaster@noris.net; RT#407086
  * RT#348009: check_maildelay: Lege RRD-Dateien automatisch an, wenn nicht
    vorhanden, und verwende das RRDs-Perl-Modul statt "rrdtool" auszufuehren.

 -- Florian Forster <octo@dev4.office.noris.de>  Mon, 21 Apr 2008 15:49:14 +0200

noris-nagios-mailplugins (4.0-24) stable; urgency=low

  * Added ix.dnsbl.manitu.net to RBLClient.pm; RT#415621

 -- Georg Gliniak <gliniak@noris.de>  Fri, 28 Mar 2008 12:59:41 +0100

noris-nagios-mailplugins (4.0-23) stable; urgency=low

  * RT#409887: check_maildelay: Workaround for new format of Astaro's
    "Received:" headers

 -- Martin H. Sluka <fany@noris.de>  Tue,  4 Mar 2008 14:35:58 +0100

noris-nagios-mailplugins (4.0-22) stable; urgency=low

  * Increased Version Number. ARGH!

 -- Georg Gliniak <gliniak@noris.de>  Fri, 28 Mar 2008 10:14:59 +0100

noris-nagios-mailplugins (4.0-21) stable; urgency=low

  * Removed relays.ordb.org from RBLClient.pm; RT#415556

 -- Georg Gliniak <gliniak@noris.de>  Fri, 28 Mar 2008 10:09:10 +0100

noris-nagios-mailplugins (4.0-20) stable; urgency=low

  * Added dnsbl.tqmcube.com to RBLClient.pm.
    - Fixes RT#394530

 -- Georg Gliniak <gliniak@noris.de>  Mon, 21 Jan 2008 09:51:01 +0100

noris-nagios-mailplugins (4.0-19) stable; urgency=low

  * check_oldest_file_in_dir aufgenommen RT#342928

 -- Micha Krause <Micha@noris.de>  Tue, 15 Jan 2008 13:06:48 +0100

noris-na gios-mailplugins (4.0-18) stable; urgency=low

  * check_inject_email: akt. Verzeichnis aus Modulsuchpfad entfernt
  * RT#382816: check_inject_email: Pseudo-Code 999 für Timeouts eingeführt

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Wed, 21 Nov 2007 10:19:50 +0100

noris-nagios-mailplugins (4.0-17) stable; urgency=low

  * ztl.dorkslayers.com aus RBLClient.pm rausgeschmissen.

 -- Hardy Kestin <hardy@noris.net>  Wed,  7 Nov 2007 16:05:10 +0100

noris-nagios-mailplugins (4.0-16) stable; urgency=low

  * RT#371323: neues Plugin check_imap_mailbox

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Mon,  8 Oct 2007 14:22:28 +0200

noris-nagios-mailplugins (4.0-15) stable; urgency=low

  * RT#366924: check_inject_email:
    Trennung ->data in ->data, ->datasend und ->dataend,
    um etwas übersichtlichere Fehlermeldungen zu bekommen

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Fri, 14 Sep 2007 15:27:59 +0200

noris-nagios-mailplugins (4.0-14) stable; urgency=low

  * check_inject_email: Bugfix für Angabe von Ports bei Hosts

 -- Martin H. Sluka <fany@entwicklung.noris.de>  Wed, 25 Jul 2007 10:05:25 +0200

noris-nagios-mailplugins (4.0-13) stable; urgency=low

  [ Andrae Marx ]


=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/noris-nagios-mailplugins.sgml > nagios-mail-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-mailplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-mailplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-mailplugins 5.0-12

=== Makefile ===
build:

install:
	cp -r usr/ etc/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_inject_email --section=1 ${DESTDIR}/usr/share/man/man1/check_inject_email.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_maildelay --section=1 ${DESTDIR}/usr/share/man/man1/check_maildelay.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_rbls --section=1 ${DESTDIR}/usr/share/man/man1/check_rbls.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_aol_block --section=1 ${DESTDIR}/usr/share/man/man1/check_aol_block.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_newest_logentry --section=1 ${DESTDIR}/usr/share/man/man1/check_newest_logentry.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_oldest_file_in_dir --section=1 ${DESTDIR}/usr/share/man/man1/check_oldest_file_in_dir.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-mailplugins (5.0-12) lenny; urgency=low

  * remove SORBS [*.sorbs.*] from RBLClient.pm

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Thu, 21 Oct 2010 17:17:28 +0200

noris-nagios-mailplugins (5.0-11) lenny; urgency=low

  * check_inject_email jetzt mit 30 Sekunden Timeout statt 90; #10320990

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 19 Oct 2010 12:03:52 +0200

noris-nagios-mailplugins (5.0-10) lenny; urgency=low

  * 'bl.reynolds.net.au' aus RBLClient.pm entfernt; #10149560

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 07 Sep 2010 12:42:22 +0200

noris-nagios-mailplugins (5.0-9) lenny; urgency=low

  * removed --forward-to fany in check_maildelay (RT#620861) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 03 Aug 2010 15:47:10 +0200

noris-nagios-mailplugins (5.0-8) lenny; urgency=low

  * RT#487306: Fehlende DNSBLs in RBLClient.pm eingetragen.

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 16 Mar 2010 10:39:20 +0100

noris-nagios-mailplugins (5.0-7) lenny; urgency=low

  * #10093854: check_maildelay: OK statt Unknown, falls Zeit errechnet aber
    Schwellenwert nicht überschritten
    (bei der Gelegenheit POD überarbeitet)
  * #10093854: check_maildelay: Bugfix -forward-mails-to

 -- Martin H. Sluka <fany@noris.net>  Tue, 09 Feb 2010 11:40:57 +0100

noris-nagios-mailplugins (5.0-6) lenny; urgency=low

  * check_inject_err5xx, RT#576878

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 28 Jan 2010 13:42:34 +0100

noris-nagios-mailplugins (5.0-5) lenny; urgency=low

  * Bug in check_maildelay behoben.

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 18 Aug 2009 15:57:03 +0200

noris-nagios-mailplugins (5.0-4) lenny; urgency=low

  * #10033164: check_maildelay: Schalter --critical-oldest und --warning-oldest implementiert

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 14 Aug 2009 15:53:08 +0200

=== debian/control ===
Source: noris-nagios-mailplugins
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.7.2

Package: noris-nagios-mailplugins
Architecture: all
Depends: ${shlibs:Depends}, perl, perl-base, libnet-perl, libnetsaint-noris-perl (>> 1.1), libfile-readbackwards-perl, libtimedate-perl, libnet-dns-perl, libregexp-common-perl, exim4-base | mail-transport-agent, libmailtools-perl, rrdtool, librrds-perl, libnet-imap-simple-ssl-perl
Conflicts: noris-netsaint-aolplugin, noris-netsaint-mailqplugin
Replaces: noris-netsaint-aolplugin, noris-netsaint-mailqplugin
Description: Mailrelated plugins for NetSaint and Nagios.
 This package contains fanys special mailserver plugins.
